curl --request GET \
--url https://app.realie.ai/api/public/property/location/ \
--header 'Authorization: <api-key>'import requests
url = "https://app.realie.ai/api/public/property/location/"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://app.realie.ai/api/public/property/location/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.realie.ai/api/public/property/location/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.realie.ai/api/public/property/location/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.realie.ai/api/public/property/location/")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.realie.ai/api/public/property/location/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"properties": [
{}
],
"metadata": {
"limit": 123,
"offset": 123,
"count": 123,
"searchCenter": {
"longitude": 123,
"latitude": 123
},
"radiusMiles": 123,
"includeUnassignedAddress": true
}
}{
"error": "Bad Request: longitude, latitude, and radius must be valid numbers"
}{
"error": "Unauthorized: API key is missing"
}{
"error": "Forbidden: Pay your outstanding invoices to restore access",
"code": "unpaid_invoices",
"action": "Open Billing and pay all outstanding invoices. Update your payment card if a payment fails, then retry once your subscription is active.",
"billing_url": "https://app.realie.ai/billing"
}{
"error": "No properties found"
}{
"error": "Internal Server Error"
}Location Search
Search by latitude/longitude with an optional radius in miles. By default, nearby searches exclude parcels without assigned addresses unless you explicitly set includeUnassignedAddress=true.
curl --request GET \
--url https://app.realie.ai/api/public/property/location/ \
--header 'Authorization: <api-key>'import requests
url = "https://app.realie.ai/api/public/property/location/"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://app.realie.ai/api/public/property/location/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.realie.ai/api/public/property/location/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.realie.ai/api/public/property/location/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.realie.ai/api/public/property/location/")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.realie.ai/api/public/property/location/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"properties": [
{}
],
"metadata": {
"limit": 123,
"offset": 123,
"count": 123,
"searchCenter": {
"longitude": 123,
"latitude": 123
},
"radiusMiles": 123,
"includeUnassignedAddress": true
}
}{
"error": "Bad Request: longitude, latitude, and radius must be valid numbers"
}{
"error": "Unauthorized: API key is missing"
}{
"error": "Forbidden: Pay your outstanding invoices to restore access",
"code": "unpaid_invoices",
"action": "Open Billing and pay all outstanding invoices. Update your payment card if a payment fails, then retry once your subscription is active.",
"billing_url": "https://app.realie.ai/billing"
}{
"error": "No properties found"
}{
"error": "Internal Server Error"
}Authorizations
Send your API key in the Authorization header. Preferred: the raw key (Authorization: YOUR_API_KEY). Also accepted: Bearer YOUR_API_KEY (Bearer scheme is case-insensitive), for HTTP clients that add the prefix automatically.
Query Parameters
The longitude coordinate of the center point for the search.
The latitude coordinate of the center point for the search.
The radius in miles to search from the center point. Maximum value is 2 miles.
0 <= x <= 2Maximum number of results to return. Defaults to 10, maximum is 100.
1 <= x <= 100Number of records to skip. Defaults to 0.
x >= 0Filter for residential properties only. If true, returns only residential properties. If false, returns only non-residential properties.
If true, include nearby parcels that do not yet have an assigned address. By default, null or blank addresses are excluded.
Set true to include missing public nested property fields as explicit nulls. Requires an account enabled for the nested v3 response shape and a v3 data read; otherwise returns 400. Without this flag, fields with unknown values may be omitted.